/**
 **	File ......... tSocket.h
 **	Published ....  2005-06-14
 **	Author ....... grymse@alhem.net
**/
/*
Copyright (C) 2005  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef _TRACKERSOCKET_H
#define _TRACKERSOCKET_H

#include <HttpGetSocket.h>


//! Tracker connection socket

class tSocket : public HttpGetSocket
{
public:
	tSocket(SocketHandler& ,const std::string& hash);
	~tSocket();

	void OnFirst();
	void OnHeader(const std::string& key,const std::string& value);
	void OnDelete();

private:
	std::string m_hash;
	std::string m_filename;
static	int m_next_id;
	bool m_gzip;
};




#endif // _TRACKERSOCKET_H
